module ReviewConfig exposing (config)

{-| Do not rename the ReviewConfig module or the config function, because
`elm-review` will look for these.

To add packages that contain rules, add them to this review project using

    `elm install author/packagename`

when inside the directory containing this file.

-}

import Review.Rule
import NoUnused.CustomTypeConstructors
import NoUnused.Dependencies
import NoUnused.Exports
import NoUnused.Modules
import NoUnused.Variables

config : List Review.Rule.Rule
config =
    [ NoUnused.CustomTypeConstructors.rule []
          , NoUnused.Dependencies.rule
          , NoUnused.Exports.rule
          , NoUnused.Modules.rule
          , NoUnused.Variables.rule
    ]
